net.sf.jasperreports.export

## Class AbstractXlsExporterConfiguration

- java.lang.Object
- - net.sf.jasperreports.export.SimpleCommonExportConfiguration
  - - net.sf.jasperreports.export.SimpleExporterConfiguration
    - - net.sf.jasperreports.export.AbstractXlsExporterConfiguration

- All Implemented Interfaces:
    CommonExportConfiguration, ExporterConfiguration, XlsExporterConfiguration
  Direct Known Subclasses:
    SimpleJxlExporterConfiguration, SimpleOdsExporterConfiguration, SimpleXlsExporterConfiguration, SimpleXlsMetadataExporterConfiguration

      public class AbstractXlsExporterConfiguration
      extends SimpleExporterConfiguration
      implements XlsExporterConfiguration

  Version:
    $Id: AbstractXlsExporterConfiguration.java 6821 2014-01-20 12:07:35Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.export.XlsExporterConfiguration

      `PROPERTY_CREATE_CUSTOM_PALETTE, PROPERTY_WORKBOOK_TEMPLATE, PROPERTY_WORKBOOK_TEMPLATE_KEEP_SHEETS`

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractXlsExporterConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getWorkbookTemplate()` Setting that specifies the location of an existing workbook template.
    `java.lang.Boolean` | `isCreateCustomPalette()` Returns a boolean value specifying whether the standard color palette should be customized so that the XLS result uses the original report colors.
    `java.lang.Boolean` | `isKeepWorkbookTemplateSheets()` Flag that specifies whether to keep the sheets of the existing template into generated document.
    `void` | `setCreateCustomPalette(java.lang.Boolean isCreateCustomPalette)`
    `void` | `setKeepWorkbookTemplateSheets(java.lang.Boolean isKeepWorkbookTemplateSheets)`
    `void` | `setWorkbookTemplate(java.lang.String workbookTemplate)`

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleCommonExportConfiguration

      `isOverrideHints, setOverrideHints`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Constructor Detail

    - #### AbstractXlsExporterConfiguration

          public AbstractXlsExporterConfiguration()

  - ### Method Detail

    - #### isCreateCustomPalette

          public java.lang.Boolean isCreateCustomPalette()

      Description copied from interface: `XlsExporterConfiguration`
      Returns a boolean value specifying whether the standard color palette should be customized so that the XLS result uses the original report colors.

      The default state of this flag is given by the `net.sf.jasperreports.export.xls.create.custom.palette` property.

      The colors used in the result XLS are determined in the following manner:
      1. If this flag is not set, the nearest color from the standard XLS palette is chosen for a report color.
      2. If the flag is set, the nearest not yet modified color from the palette is chosen and modified to exactly match the report color. If all the colors from the palette are modified (the palette has a fixed size), the nearest color from the palette is chosen for further report colors.
      Specified by:
        `isCreateCustomPalette` in interface `XlsExporterConfiguration`
      See Also:
        `XlsExporterConfiguration.PROPERTY_CREATE_CUSTOM_PALETTE`

    - #### setCreateCustomPalette

          public void setCreateCustomPalette(java.lang.Boolean isCreateCustomPalette)

    - #### getWorkbookTemplate

          public java.lang.String getWorkbookTemplate()

      Description copied from interface: `XlsExporterConfiguration`
      Setting that specifies the location of an existing workbook template. The content of an existing workbook document or template can be embedded into exported document if the template location is known. In this case the content of the template will be exported first and the content of the exported report will be appended to this one. Macros and other settings in the existing template will be also preserved in the generated document. Templates can be loaded from Excel template files (*.xlt) as well as from valid Excel documents (*.xls).

      This setting is used in Excel exporters based either on Apache POI APIs (`JRXlsExporter`) or on JExcelApi library (`JExcelApiExporter`). There's no similar property for the `JRXlsxExporter`.

      Specified by:
        `getWorkbookTemplate` in interface `XlsExporterConfiguration`
      See Also:
        `XlsExporterConfiguration.PROPERTY_WORKBOOK_TEMPLATE`

    - #### setWorkbookTemplate

          public void setWorkbookTemplate(java.lang.String workbookTemplate)

    - #### isKeepWorkbookTemplateSheets

          public java.lang.Boolean isKeepWorkbookTemplateSheets()

      Description copied from interface: `XlsExporterConfiguration`
      Flag that specifies whether to keep the sheets of the existing template into generated document. Sometimes is important to embed in a generated document only macros and/or other global settings from an existing template, but without keeping the own sheets of the template document. If set to false, this property prevent the template sheets to be exported.

      This setting is used in conjunction with `XlsExporterConfiguration.getWorkbookTemplate()`.

      Specified by:
        `isKeepWorkbookTemplateSheets` in interface `XlsExporterConfiguration`
      See Also:
        `XlsExporterConfiguration.PROPERTY_WORKBOOK_TEMPLATE_KEEP_SHEETS`

    - #### setKeepWorkbookTemplateSheets

          public void setKeepWorkbookTemplateSheets(java.lang.Boolean isKeepWorkbookTemplateSheets)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com